#include "error.h"
#include "lexer.h"
#include "parser.h"
#include "visitante_impresor.h"
#include <fstream>
#include <iostream>
using namespace std;


int main( )
{
   ifstream fuente("codigo.txt");
   
   if (!fuente.is_open( )) {
      error( );
   }
   
   vector<char> bufer;
   
   do {
      bufer.push_back(fuente.get( ));
   } while (bufer.back( ) != EOF);
   
   vector<token_anotada> tokens = lexer(&bufer[0]);
   arbol_sintactico arbol = parser(&tokens[0]);
   
   visitante_impresor vis;
   vis.agrega_salida(&arbol);
}
