#ifndef PARSER_AUX_H
#define PARSER_AUX_H

#include "error.h"
#include "lexer.h"


void espera(token_anotada*& entrada, token esperado)
{
   if (entrada->valor != esperado) {
      error("ERROR");
   }
   
   ++entrada;
}

bool es_operador_prefijo(token t) 
{
   return t == MAS;
}

bool es_operador_binario(token t)
{
   return t == IGUAL_QUE || t == MAS || t == POR;
}

int precedencia(token t)
{
   switch (t) {
   case IGUAL_QUE:
      return 1;
   case MAS:
      return 2;
   case POR:
      return 3;
   }
}

int asociatividad(token t)
{
   return 1;
}

#endif
