#ifndef VISITANTE_H
#define VISITANTE_H

struct sentencia_declaracion;
struct sentencia_if;
struct sentencia_return;
struct sentencia_print;

struct expresion_identificador;
struct expresion_literal;
struct expresion_prefija;
struct expresion_binaria;
struct expresion_llamada_funcion;

struct visitante {
   virtual void procesa(sentencia_declaracion*)
   {
   }
      
   virtual void procesa(sentencia_if*)
   {
   }
   
   virtual void procesa(sentencia_return*)
   {
   }
   
   virtual void procesa(sentencia_print*)
   {
   }
   
   virtual void procesa(expresion_identificador*)
   {
   }
   
   virtual void procesa(expresion_literal*)
   {
   }
   
   virtual void procesa(expresion_prefija*)
   {
   }
   
   virtual void procesa(expresion_binaria*)
   {
   }
   
   virtual void procesa(expresion_llamada_funcion*)
   {
   }
};

#endif
